%define lib_major 5
%define lib_name %mklibname %{name} %{lib_major}
%define	sgmlbase %{_datadir}/sgml

Summary: The OpenJade Group's SGML and XML parsing tools
Name: OpenSP
Version: 1.5.2
Release: %mkrel 4
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
License: BSD
Group: Publishing
Source: http://download.sourceforge.net/openjade/%{name}-%{version}.tar.bz2
Patch0: OpenSP-1.5-prefer-catalog-entries.patch.bz2
Patch1: opensp-1.5.2-multilib.patch
Patch2: opensp-1.5.2-nodeids.patch
URL: http://openjade.sourceforge.net/
BuildRequires: xmlto

%description
This package is a collection of SGML/XML tools called OpenSP. It is a fork from
James Clark's SP suite. These tools are used to parse, validate, and normalize
SGML and XML files.  
     
%package -n %{lib_name}
Summary: Runtime library for the OpenJade group's SP suite
Group: System/Libraries

%description -n %{lib_name}
This is the SP suite's shared library runtime support.  This C++
library contains entity management functions, parsing functions, and
other functions useful for SGML/XML/DSSSL development.

%package -n %{lib_name}-devel
Summary: Libraries and include files for developing OpenSP applications
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This contains include files and libraries for OpenSP.
This C++ library contains entity management functions, parsing functions,
and other functions useful for SGML/XML/DSSSL development.

%prep
%setup -q
%patch0 -p1 -b .try_catalogs_first
%patch1 -p1 -b .multilib
%patch2 -p1 -b .nodeids

%build
%configure2_5x --enable-static --enable-http \
 --enable-default-catalog=%{_sysconfdir}/sgml/catalog  \
 --enable-default-search-path=%{sgmlbase} \
 --datadir=%{sgmlbase}/%{name}-%{version}
%make

%install

test "$RPM_BUILD_ROOT" = "/" || rm -rf "$RPM_BUILD_ROOT"
%makeinstall_std

%find_lang sp

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc  $RPM_BUILD_ROOT%{_docdir}/OpenSP

%clean
test "$RPM_BUILD_ROOT" = "/" || rm -rf "$RPM_BUILD_ROOT"

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -f sp.lang
%defattr(-, root, root)
%doc doc/*.htm ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{sgmlbase}/%{name}-%{version}/*
%{_mandir}/man1/*


%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libosp.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_includedir}/OpenSP


%changelog
* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5.2-4mdv2008.1
+ Revision: 178765
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 21 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.5.2-3mdv2008.0
+ Revision: 42318
- add version to devel provides

* Fri Jun 08 2007 Götz Waschk <waschk@mandriva.org> 1.5.2-2mdv2008.0
+ Revision: 37270
- fix major
- new version
- update patches (Frederic Himpe)

* Thu Apr 19 2007 Andreas Hasenack <andreas@mandriva.com> 1.5-12mdv2008.0
+ Revision: 14997
- Import OpenSP



* Sat Sep 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5-1mdv2007.0
- Rebuild

* Sun May 28 2006 Stefan van der Eijk <stefan@eijk.nu> 1.5-11mdk
- %%mkrel

* Fri Apr 14 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5-10mdk
- patch3: try to find an external DTD's public ID in the local 
          catalogs before dereferencing the system ID

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 1.5-9mdk
- Rebuild

* Thu Jun 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5-8mdk
- rebuild for broken libstdc++6-devel-3.4.1-0.2mdk

* Thu Jun  3 2004 Montel Laurent <lmontel@n2.mandrakesoft.com> 1.5-7mdk
- Rebuild 

* Mon Nov 24 2003 Stefan van der Eijk <stefan@eijk.nu> 1.5-6mdk
- rebuild 4 reupload (alpha)

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5-5mdk
- Rebuild

* Wed Jun 11 2003 Warly <warly@mandrakesoft.com> 1.5-4mdk
- Fix Per yvind Karlse patch 0 to be able to build openjade 1.3.2

* Fri Jun 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5-3mdk
- compile with same options as openjade
- Patch1 from RH

* Fri Jun 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.5-2mdk
- gcc-3.3 fix from RH (Patch0)

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-1mdk
- Initial Mandrake package
